Page MenuHomePhabricator

[Story] Automatically generate change log for deployment branches
Closed, DeclinedPublic

Description

Now that we have data model services (and numerous other components), we need to automatically generate a change log of what changes (including in components) are new to a deployment branch vs previous branch.

ideally this should also find DEPLOY notes and referenced bugs, which need for our deployment notes and calendar.

I used to mainly look at the git log for Wikibase (sometimes with --grep) and that was enough. I also looked at my gerrit dashboard at the list of merged changes. I think we reached a point with our components that we need another, better solution.

When a new branch gets deployed, we need to be aware of what changes are actually going out, if cache epoch needs to be bumped or other config changes, and users should be informed of important, relevant changes.

Event Timeline

aude created this task.Aug 20 2015, 9:43 AM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 9:43 AM
aude renamed this task from Automatically generate change log for deployment branches to [Story] Automatically generate change log for deployment branches.Sep 10 2015, 10:15 AM
aude triaged this task as Medium priority.
aude set Security to None.
aude claimed this task.Apr 23 2017, 4:58 PM
Addshore closed this task as Declined.Sep 18 2018, 12:52 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 18 2018, 12:52 PM